package com.ruoyi.common.pay.wx.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/8/12
 */
@Getter
@AllArgsConstructor
public enum WxTransferDetailStatus {

    /**
     * INIT	初始状态	明细的初始状态	无
     * WAIT_PAY	待商户确认	当前明细等待商户管理员确认付款	商户管理员确认转账，或撤销转账
     * PROCESSING	转账中	当前明细正在处理中，转账结果尚未明确	查询明细单，确认明细处理结果
     * SUCCESS	转账成功	当前明细转账已成功	向用户展现转账结果
     * FAIL	转账失败	当前明细转账已失败	确认失败原因，并决定是否重新发起当前明细转账（并非整个转账批次）
     */
    WAIT_PAY("WAIT_PAY", "待商户确认"),
    PROCESSING("PROCESSING", "转账中"),
    SUCCESS("SUCCESS", "转账成功"),
    FAIL("FAIL", "转账失败"),
    INIT("INIT", "初始状态");

    private final String status;
    private final String msg;

}
